#!/bin/csh

# IRIX C++, EPC F90, MPICH/P4

set MPICH_HOME = $1

set MPICH_ARCH = `tarch`

configure -mpiinc=${MPICH_HOME}/include \
          -mpilib="-lmpi" \
          -f90=epc \
          -c++com="CC" \
          -c++lib="-lC /usr/lib/libc.so" \
          -lnkcom="epcf90 -L${MPICH_HOME}/lib/${MPICH_ARCH}/ch_p4"

# Comments:
#
#      Tested under:
#           IRIX Release 5.2,
#           EPC Fortran-90 Version 1.1.0 Mips,
#           CC (?)
#           MPICH 1.0.10
#
#      `$MPICH_HOME' is the home directory for the MPICH installation.
#
#      The translated code couldn't be compiled (bugs in the EPC compiler?)
#
#      It ought to be possible to link in the C libraries just by specifying 
#             -c++lib="-lC -lc"
#           Problems encountered (the EPC linker phase didn't find the
#           shared library?)

